Package com.pixelmed.display.event

## Class StatusChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.StatusChangeEvent

-     public class StatusChangeEvent
      extends Event

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatusChangeEvent​(java.lang.String statusMessage)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getStatusMessage()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusChangeEvent

          public StatusChangeEvent​(java.lang.String statusMessage)

      Parameters:
        `statusMessage` -

  - ### Method Detail

    - #### getStatusMessage

          public java.lang.String getStatusMessage()